package net.knarcraft.ffmpegconverter.utility;

import org.junit.Test;

import static org.junit.Assert.assertArrayEquals;

public class StringUtilTest {

    @Test
    public void stringBetweenNoMatches() {
        String[] result = StringUtil.stringBetween("a test string", "[", "]");
        assertArrayEquals(new String[]{}, result);
    }

    @Test
    public void stringBetweenOneMatch() {
        String[] result = StringUtil.stringBetween("a [test] string", "[", "]");
        assertArrayEquals(new String[]{"test"}, result);
    }

    @Test
    public void stringBetweenSeveralMatches() {
        String[] result = StringUtil.stringBetween("a long string containing a lot of potential matches for " +
                "the string between method defined in the StringUtil class", " ", "a");
        assertArrayEquals(new String[]{"long string cont", "", "lot of potenti", "m",
                "for the string between method defined in the StringUtil cl"}, result);
    }
}
